<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>UCA :.</title>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
body {
	background-color: #CCCCCC;
}
-->
</style></head>

<body>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td><img src="img/top02.jpg" width="800" height="100" /></td>
  </tr>
  <tr>
    <td><br />
    <table width="750" border="0" align="center">
        <tr>
          <td><table width="82%" border="0" align="center" cellspacing="0">
            <tr>
              <td width="19%"><hr /></td>
              <td width="62%" align="center"><span class="style7">Listado de Precios Actualizados</span></td>
              <td width="19%"><hr /></td>
            </tr>
          </table>
            <br />
            <p>
<?php

$claves=$_POST['idprod'];
$existencia=$_POST['existencia'];
$clini=$_POST['clini'];

echo "<table border=1 align='center' cellpadding='2'>";
echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";

echo "<td class='style4'>";
echo " Id ";
echo "</td>";


echo "<td class='style4'>";
echo "Nombre";
echo "</td>";

echo "<td class='style4'>";
echo "Presentaci&oacute;n";
echo "</td>";

echo "<td class='style4'>";
echo "Existencia";
echo "</td>";


echo "</tr>";
//TR DE PRUEBA
//echo "<tr><td>";
for($x=0; $x < sizeof($claves); $x++)
{
//echo $claves[$x]. " ".$existencia[$x]."<br>";


	include ("conexion.php");
	
	
	//ACTUALIZACION DE PRECIOS
	$cons30="SELECT * FROM almacenes WHERE idProducto='$claves[$x]' and idClinica='$clini'";
	$res30=mysql_query($cons30,$conex) or die ("No se consultó la existencia del producto");
	$numfila=mysql_num_rows($res30);
	///echo $claves[$x]."<br>";
	if ($numfila==0)
	{
	
		$cons31="INSERT INTO almacenes (idProducto,idClinica,existencia) VALUES ('$claves[$x]','$clini','$existencia[$x]')";
		$res31=mysql_query($cons31,$conex) or die ("No se realizó la insercion del producto y su existencia");
		//echo "no existe ".$claves[$x]."<br>";
	
	}
	else
	{			
			//echo $claves[$x]."<br>";
			//echo $existencia[$x]."<br>";
			$cons32="UPDATE almacenes SET existencia=".$existencia[$x]." WHERE idProducto='$claves[$x]' and idClinica='$clini'";
			$res32=mysql_query($cons32,$conex) or die ("No se realizó la actualización del precio");
	}
}//end for
	//IMPRESION DEL CONTENIDO TABLA
	
			$query="SELECT clave,nombre FROM productos ";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))
			{
				echo "<tr>";
				
				//CONSULTO LA EXISTENCIA
				$cons1="SELECT existencia FROM almacenes WHERE idProducto='".$fila[0]."' and idClinica='$clini'";
				$res1=mysql_query($cons1,$conex) or die ("No se realizo consulta de existencias");
				$existencia=mysql_result($res1,0,'existencia');
								
				//CONSULTO NOMBRE DE LA PRESENTACION
				$cons1="SELECT idPresentacion FROM  productos WHERE clave='".$fila[0]."'";
				$res1=mysql_query($cons1,$conex) or die ("No consulto ID de presentacion");
				$idpresen=mysql_result($res1,0,'idPresentacion');
				
				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				$presen=mysql_result($res2,0,'presentacion');

				//clave
				echo "<td class='style1'>";
				echo $fila[0];
				echo "</td>";
				
				//nombre
				echo "<td class='style1'>";
				echo $fila[1];
				echo "</td>";
				
				//IMPRIMO PRESENTACION
				echo "<td class='style1'>";
				echo $presen;
				echo "</td>";
				
				//Precio
				echo "<td class='titulo' bgcolor='#999999' align='right'>";
				echo $existencia;
				//printf ("$ %.2f", $precio[$x] );
				echo "</td>";

			}//		
		echo "</tr>";
//tr y td de prueba
//echo "</td></tr>";
echo "</table>";
?>
            </p>
          <p align="center" class="style7">&nbsp;</p></td>
        </tr>
      </table>
      <table width="196" border="0" align="center" cellspacing="10">
        <tr>
          <td width="57" valign="top">
              <div align="center">
                  <input name="Submit" type="button" class="boton2" value="Imprimir" onClick="javascript:print()">
              </div>
          </td>
          <td width="109"><form id="form1" name="form1" method="post" action="main.php">
              <div align="center">
                  <input name="Submit2" type="submit" class="boton2" value="Volver a inicio" />
              </div>
          </form></td>
        </tr>
      </table>
      <br>
      <table width="100%" border="0">
         <tr>
        <td height="26" style="background-color:#0D3356;">
        <div align="center" id="noimprimible">
          <table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">
            <tr>
              <td align="center" class="style8">Desarrollado para la Universidad Cuauht&eacute;moc por <a href="http://www.upweb.mx" target="_blank"><img src="img/webmaster.svg" style="height:16px; vertical-align:bottom;"></a></td>
            </tr>
          </table>
        </div></td>
        </tr>
      </table></td></tr>
</table>
</body>
</html>
